summaryrefslogtreecommitdiff
path: root/pcr/guix/guix.install
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2016-03-01 20:11:24 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2016-03-01 20:11:24 -0300
commite79a947fbccf15d6954488eabab40d6ad4ac1d31 (patch)
tree9530485c926529bea8629cba9e48d2771dc68a2b /pcr/guix/guix.install
parentbde11d2ca93d95c92956b782462a2e8a62f75a92 (diff)
downloadabslibre-e79a947fbccf15d6954488eabab40d6ad4ac1d31.tar.gz
abslibre-e79a947fbccf15d6954488eabab40d6ad4ac1d31.tar.bz2
abslibre-e79a947fbccf15d6954488eabab40d6ad4ac1d31.zip
guix: add new package to [pcr]
Diffstat (limited to 'pcr/guix/guix.install')
-rw-r--r--pcr/guix/guix.install30
1 files changed, 30 insertions, 0 deletions
diff --git a/pcr/guix/guix.install b/pcr/guix/guix.install
new file mode 100644
index 000000000..54f7659b6
--- /dev/null
+++ b/pcr/guix/guix.install
@@ -0,0 +1,30 @@
+infodir=usr/share/info
+file=guix.info
+
+post_install() {
+ echo "Guix 0.8.3 already provides a systemd service file in its release,"
+ echo "so the one included in AUR package is now removed. Please use the"
+ echo "following commands to keep your installation compatible with the"
+ echo "new service file:"
+ echo
+ echo " systemctl disable guix"
+ echo " systemctl enable guix-daemon"
+ echo " groupmod -n guixbuild guix-builder"
+ echo " usermod -l guixbuild guix-builder"
+ echo
+ echo "If you have /etc/systemd/system/guix.service.d, please also remember"
+ echo "to review its content and rename it to guix-daemon.service.d."
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+# vim:set ts=2 sw=2 ft=sh et: